Skip to main content
PUT
Update an event question

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

eventId
integer
required

Record ID in the authenticated organization.

Example:

42

id
integer
required

Journey ID in the authenticated organization.

Example:

42

Body

application/json
scope
enum<string> | null

Scope.

Available options:
buyer,
group,
attendee,
null
Example:

"buyer"

field_key
string

Field key.

Maximum string length: 255
Pattern: ^[a-z0-9_\\\\-]+$
Example:

"dietary_preferences"

field_label
string

Field label.

Maximum string length: 255
Example:

"Dietary preferences"

field_type
enum<string> | null

Field type. Date without offset is interpreted in the event timezone.

Available options:
text,
textarea,
select,
radio,
multiselect,
checkbox,
email,
phone,
date,
waiver,
acknowledgement,
informational_acknowledgement,
null
Example:

"text"

help_text
string | null

Help text.

Maximum string length: 5000
Example:

"Example"

options
string[] | null

Options.

Maximum array length: 50

*.

Maximum string length: 255
applies_to_ticket_type_ids
integer[] | null

Applies to ticket type ids.

*. Referenced record must belong to the authenticated organization and this event.

required
boolean | null

Required.

Example:

false

is_active
boolean | null

Is active.

Example:

false

sort_order
integer | null

Sort order.

Example:

1

Response

Update an event question completed.

data
object